package nl.naturalis.nba.etl.brahms;

/**
 * Enumerates the CSV fields in a Brahms export file.
 *
 * @author Ayco Holleman, Tom Gilissen
 *
 */
@SuppressWarnings("java:S115")
public enum BrahmsCsvField {
  specimenbarcode,
  specimencategory,
  typecategory,
  specimenaccession,
  oldbarcode,
  addedby,
  addedon,
  clusterid,
  determinedby,
  determinationday,
  determinationmonth,
  determinationyear,
  imagelist,
  determinationfamilyname,
  determinationcalcfullname,
  prefix,
  fieldnumber,
  suffix,
  notonline,
  collectioneventid,
  collectionyear,
  collectionmonth,
  collectionday,
  collectors,
  additionalcollectors,
  lldatum,
  latitude,
  longitude,
  elevation,
  elevationmax,
  localitynotes,
  habitattext,
  descriptiontext,
  majoradminname,
  minoradminname,
  localityname,
  continent,
  countryname,
  genusname,
  calcfullname,
  calcacceptedname,
  synofname,
  speciesname,
  subspecies,
  variety,
  forma,
  speciesauthorname,
  subspeciesauthorname,
  varietyauthorname,
  formaauthorname,
  taxstatus,
  genusid,
  kingdom,
  subkingdom,
  phylum,
  subphylum,
  classname,
  subclassname,
  ordername,
  familyname,
  subfamily,
  tribe,
  subtribe,
  genushybrid,
  curationspeciesfullname,
  museumcode
}
